kicad-5.1.4-alt1.x86_64.rpm


Advertisement

Description

kicad - An open source software for the creation of electronic schematic diagrams

Property Value
Distribution ALT Linux Sisyphus
Repository Classic x86_64
Package filename kicad-5.1.4-alt1.x86_64.rpm
Package name kicad
Package version 5.1.4
Package release alt1
Package architecture x86_64
Package type rpm
Category Engineering
Homepage -
License -
Maintainer -
Download size 67.56 MB
Installed size 67.56 MB
Kicad is an open source (GPL) software for the creation of electronic
schematic diagrams and printed circuit board artwork.
Kicad is a set of four softwares and a project manager:
Kicad: Project manager.
Eeschema: Schematic entry.
Pcbnew: Board editor.
Cvpcb: Footprint selector for components used in the circuit design.
Gerbview: GERBER viewer (photoplotter documents).

Alternatives

Package Version Architecture Repository
kicad-5.1.4-alt1.i586.rpm 5.1.4 i586 Classic
kicad - - -

Requires

Name Value
/lib64/ld-linux-x86-64.so.2 -
kicad-data = 1:5.1.4-alt1:sisyphus+236182.100.2.1
kicad-doc >= 1:5.0
kicad-footprints >= 5.0
kicad-i18n >= 5.0
kicad-symbols >= 5.0
kicad-templates >= 5.0
ld-linux-x86-64.so.2()(64bit) -
ld-linux-x86-64.so.2(GLIBC_2.3)(64bit) -
libGL.so.1()(64bit) -
libGLEW.so.2.1()(64bit) -
libGLU.so.1()(64bit) -
libTKBO.so.11()(64bit) -
libTKBRep.so.11()(64bit) -
libTKCDF.so.11()(64bit) -
libTKIGES.so.11()(64bit) -
libTKLCAF.so.11()(64bit) -
libTKMath.so.11()(64bit) -
libTKMesh.so.11()(64bit) -
libTKPrim.so.11()(64bit) -
libTKSTEP.so.11()(64bit) -
libTKTopAlgo.so.11()(64bit) -
libTKXCAF.so.11()(64bit) -
libTKXDEIGES.so.11()(64bit) -
libTKXDESTEP.so.11()(64bit) -
libTKXSBase.so.11()(64bit) -
libTKernel.so.11()(64bit) -
libc.so.6(GLIBC_2.11)(64bit) -
libc.so.6(GLIBC_2.14)(64bit) -
libc.so.6(GLIBC_2.2.5)(64bit) -
libc.so.6(GLIBC_2.3)(64bit) -
libc.so.6(GLIBC_2.3.4)(64bit) -
libc.so.6(GLIBC_2.4)(64bit) -
libcairo.so.2()(64bit) -
libcurl.so.4()(64bit) -
libgcc_s.so.1(GCC_3.0)(64bit) -
libgcc_s.so.1(GCC_3.4)(64bit) -
libm.so.6(GLIBC_2.2.5)(64bit) -
libm.so.6(GLIBC_2.27)(64bit) -
libpixman-1.so.0()(64bit) -
libpthread.so.0(GLIBC_2.2.5)(64bit) -
librt.so.1(GLIBC_2.2.5)(64bit) -
libstdc++.so.6(CXXABI_1.3)(64bit) -
libstdc++.so.6(CXXABI_1.3.11)(64bit) -
libstdc++.so.6(CXXABI_1.3.2)(64bit) -
libstdc++.so.6(CXXABI_1.3.3)(64bit) -
libstdc++.so.6(CXXABI_1.3.5)(64bit) -
libstdc++.so.6(CXXABI_1.3.8)(64bit) -
libstdc++.so.6(GLIBCXX_3.4)(64bit) -
libstdc++.so.6(GLIBCXX_3.4.11)(64bit) -
libstdc++.so.6(GLIBCXX_3.4.14)(64bit) -
libstdc++.so.6(GLIBCXX_3.4.15)(64bit) -
libstdc++.so.6(GLIBCXX_3.4.17)(64bit) -
libstdc++.so.6(GLIBCXX_3.4.18)(64bit) -
libstdc++.so.6(GLIBCXX_3.4.19)(64bit) -
libstdc++.so.6(GLIBCXX_3.4.20)(64bit) -
libstdc++.so.6(GLIBCXX_3.4.21)(64bit) -
libstdc++.so.6(GLIBCXX_3.4.22)(64bit) -
libstdc++.so.6(GLIBCXX_3.4.9)(64bit) -
libwx_baseu-3.1.so.1()(64bit) -
libwx_baseu-3.1.so.1(WXU_3.1)(64bit) -
libwx_baseu_net-3.1.so.1()(64bit) -
libwx_baseu_net-3.1.so.1(WXU_3.1)(64bit) -
libwx_baseu_xml-3.1.so.1()(64bit) -
libwx_baseu_xml-3.1.so.1(WXU_3.1)(64bit) -
libwx_gtk3u_adv-3.1.so.1()(64bit) -
libwx_gtk3u_adv-3.1.so.1(WXU_3.1)(64bit) -
libwx_gtk3u_aui-3.1.so.1()(64bit) -
libwx_gtk3u_aui-3.1.so.1(WXU_3.1)(64bit) -
libwx_gtk3u_core-3.1.so.1()(64bit) -
libwx_gtk3u_core-3.1.so.1(WXU_3.1)(64bit) -
libwx_gtk3u_gl-3.1.so.1()(64bit) -
libwx_gtk3u_gl-3.1.so.1(WXU_3.1)(64bit) -
libwx_gtk3u_html-3.1.so.1()(64bit) -
libwx_gtk3u_html-3.1.so.1(WXU_3.1)(64bit) -
libwx_gtk3u_stc-3.1.so.1()(64bit) -
libwx_gtk3u_stc-3.1.so.1(WXU_3.1)(64bit) -
rpmlib(PayloadIsLzma) -
rpmlib(SetVersions) -
rtld(GNU_HASH) -
rtld(GNU_UNIQUE) -

Provides

Name Value
kicad = 1:5.1.4-alt1:sisyphus+236182.100.2.1
libkicad_3dsg.so.2.0.0()(64bit) -

Download

Type URL
Mirror ftp.altlinux.org
Binary Package kicad-5.1.4-alt1.x86_64.rpm
Source Package kicad-5.1.4-alt1.src.rpm

Install Howto

  1. Add the following line to /etc/apt/sources.list:
    
    rpm [Sisyphus] http://ftp.altlinux.org/pub/distributions/ALTLinux/Sisyphus x86_64 classic
    rpm [Sisyphus] http://ftp.altlinux.org/pub/distributions/ALTLinux/Sisyphus noarch classic
    
  2. Update the package index:
    # sudo apt-get update
  3. Install kicad rpm package:
    # sudo apt-get install kicad

Files

Path
/usr/bin/_cvpcb.kiface
/usr/bin/_eeschema.kiface
/usr/bin/_gerbview.kiface
/usr/bin/_pcb_calculator.kiface
/usr/bin/_pcbnew.kiface
/usr/bin/_pl_editor.kiface
/usr/bin/bitmap2component
/usr/bin/dxf2idf
/usr/bin/eeschema
/usr/bin/gerbview
/usr/bin/idf2vrml
/usr/bin/idfcyl
/usr/bin/idfrect
/usr/bin/kicad
/usr/bin/kicad-ogltest
/usr/bin/kicad2step
/usr/bin/pcb_calculator
/usr/bin/pcbnew
/usr/bin/pl_editor
/usr/lib64/libkicad_3dsg.so
/usr/lib64/libkicad_3dsg.so.2.0.0
/usr/lib64/kicad/
/usr/lib64/kicad/plugins/
/usr/lib64/kicad/plugins/3d/libs3d_plugin_idf.so
/usr/lib64/kicad/plugins/3d/libs3d_plugin_oce.so
/usr/lib64/kicad/plugins/3d/libs3d_plugin_vrml.so
/usr/share/applications/bitmap2component.desktop
/usr/share/applications/eeschema.desktop
/usr/share/applications/gerbview.desktop
/usr/share/applications/kicad.desktop
/usr/share/applications/pcbcalculator.desktop
/usr/share/applications/pcbnew.desktop

Changelog

2019-08-16 - Anton Midyukov <antohami@altlinux.org> 1:5.1.4-alt1
- new version 5.1.4
2019-05-20 - Anton Midyukov <antohami@altlinux.org> 1:5.1.2-alt2
- Not requires to kicad-packages3D (large package)
2019-04-25 - Anton Midyukov <antohami@altlinux.org> 1:5.1.2-alt1
- new version 5.1.2
2019-03-15 - Anton Midyukov <antohami@altlinux.org> 1:5.1.0-alt1
- new version 5.1.0
- disable srcipting support
- build with wxGTK3.1
2019-01-03 - Anton Midyukov <antohami@altlinux.org> 1:5.0.2-alt1
- new version 5.0.2
2018-11-23 - Anton Midyukov <antohami@altlinux.org> 1:5.0.1-alt1
- new version 5.0.1
2018-10-14 - Igor Vlasenko <viy@altlinux.ru> 1:5.0.0-alt1.1.qa1
- NMU: applied repocop patch
2018-09-12 - Anton Midyukov <antohami@altlinux.org> 1:5.0.0-alt1.1
- Rebuilt with libssl-1.1
2018-07-19 - Anton Midyukov <antohami@altlinux.org> 1:5.0.0-alt1
- New version 5.0.0
- Change group Engineering
2018-05-31 - Aleksei Nikiforov <darktemplar@altlinux.org> 1:4.0.7-alt2.1
- NMU: rebuilt with boost-1.67.0

See Also

Package Description
kid3-core-3.4.5-alt5.x86_64.rpm Core files needed for kid3
kid3-ui-cli-3.4.5-alt5.x86_64.rpm ID3 tagger CLI UI
kid3-ui-cli5-3.6.2-alt2.x86_64.rpm ID3 tagger CLI UI
kid3-ui-kde4-3.4.5-alt5.x86_64.rpm ID3 tagger KDE4 UI
kid3-ui-kde5-3.6.2-alt2.x86_64.rpm ID3 tagger KDE5 UI
kid3-ui-qt4-3.4.5-alt5.x86_64.rpm ID3 tagger Qt4 UI
kid3-ui-qt5-3.6.2-alt2.x86_64.rpm ID3 tagger Qt5 UI
kiki-1.0.2-alt3.x86_64.rpm 3D logical game
kile-2.9.92-alt1.x86_64.rpm LaTeX source editor - TeX shell
kinit-utils-1.5.25-alt5.x86_64.rpm Small utilities built with klibc
kino-1.3.4-alt10.x86_64.rpm Non-linear DV editor
kino-brightcontrast-0.4-alt3.qa1.x86_64.rpm Brightness & Contrast Kino plugin
kismet-2014.02.R1-alt2.x86_64.rpm Kismet wireless tools
kismet-client-2014.02.R1-alt2.x86_64.rpm Client user interface for kismet
kismet-common-2014.02.R1-alt2.x86_64.rpm Common files for both client/server of kismet
Advertisement
Advertisement